import * as react_jsx_runtime from 'react/jsx-runtime';
import { CreatePhantomConfig, Phantom } from '@phantom/browser-sdk';
import * as React from 'react';

type PhantomContextType = {
    phantom: undefined;
    isReady: false;
} | {
    phantom: Phantom;
    isReady: true;
};
declare const PhantomProvider: ({ children, config }: {
    children: React.ReactNode;
    config: CreatePhantomConfig;
}) => react_jsx_runtime.JSX.Element;
declare function usePhantom(): PhantomContextType;

export { PhantomProvider, usePhantom };
